package com.cloudcross.ssp.back.model;

import java.util.Date;

/**
 * 广告主代理商充值表，对应表t_adv_balance
 * @author chenyou
 *
 */
public class AdvBalance {
	//主键
	private Long id;
	//用户账号id
	private Long accountId;
	//代理商id
	private Long agentId;
	//广告主id
	private Long advertiserId;
	//时间
	private Date actTime;
	//交易号
	private String num;
	//代理商充值金额
	private Float charge;
	//代理商给广告主的分配金额
	private Float allocate;
	//备注
	private Float consume;
	//余额
	private Float balance;
	//代理商名称
	private String agentName;
	//状态
	private Integer status;
	
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public String getAgentName() {
		return agentName;
	}
	public void setAgentName(String agentName) {
		this.agentName = agentName;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getAccountId() {
		return accountId;
	}
	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}
	public Long getAgentId() {
		return agentId;
	}
	public void setAgentId(Long agentId) {
		this.agentId = agentId;
	}
	public Long getAdvertiserId() {
		return advertiserId;
	}
	public void setAdvertiserId(Long advertiserId) {
		this.advertiserId = advertiserId;
	}
	public Date getActTime() {
		return actTime;
	}
	public void setActTime(Date actTime) {
		this.actTime = actTime;
	}
	public String getNum() {
		return num;
	}
	public void setNum(String num) {
		this.num = num;
	}
	public Float getCharge() {
		return charge;
	}
	public void setCharge(Float charge) {
		this.charge = charge;
	}
	public Float getAllocate() {
		return allocate;
	}
	public void setAllocate(Float allocate) {
		this.allocate = allocate;
	}
	public Float getConsume() {
		return consume;
	}
	public void setConsume(Float consume) {
		this.consume = consume;
	}
	public Float getBalance() {
		return balance;
	}
	public void setBalance(Float balance) {
		this.balance = balance;
	}
	
	@Override
	public String toString() {
		return "AdvBalance [id=" + id + ", accountId=" + accountId
				+ ", agentId=" + agentId + ", advertiserId=" + advertiserId
				+ ", actTime=" + actTime + ", num=" + num + ", charge="
				+ charge + ", allocate=" + allocate + ", consume=" + consume
				+ ", balance=" + balance + ", agentName=" + agentName
				+ ", status=" + status + "]";
	}
	
	
	
	
	
	
}
